## org.apache.mahout.cf.taste.example.kddcup
Class ToCSV

    java.lang.Object
      org.apache.mahout.cf.taste.example.kddcup.ToCSV

    public final class ToCSV

extends Object

This class converts a KDD Cup input file into a compressed CSV format. The output format is `userID,itemID,score,timestamp`. It can optionally restrict its output to exclude score and/or timestamp.

Run as: `ToCSV (input file) (output file) [num columns to output]`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.